package cloudflare

// initializes logging and command line options

import (
	"go.wit.com/log"
)

var NOW *log.LogFlag
var INFO *log.LogFlag
var WARN *log.LogFlag
var SPEW *log.LogFlag

var CURL *log.LogFlag
var ZONE *log.LogFlag

func init() {
	full := "go.wit.com/gui/cloudflare"
	short := "cfgui"

	NOW = log.NewFlag("NOW", true, full, short, "temp debugging stuff")
	INFO = log.NewFlag("INFO", false, full, short, "general info")
	WARN = log.NewFlag("WARN", true, full, short, "bad things")
	SPEW = log.NewFlag("SPEW", false, full, short, "spew stuff")

	CURL = log.NewFlag("CURL", true, full, short, "curl interactions")
	ZONE = log.NewFlag("ZONE", false, full, short, "zone details")
}
